%define oname   cairo

Name:       ruby-%{oname}
Version:    1.17.8
Release:    %mkrel 1
Summary:    Ruby bindings for cairo
Group:      Development/Ruby
License:    GPLv2
URL:        https://www.cairographics.org/rcairo
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     cairo-1.17.5-no-native-package-installer.patch
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pkgconfig(cairo)
BuildRequires: rubygem(pkg-config)
BuildRequires: rubygem(test-unit)
BuildRequires: rubygem(rubyforge)
Provides:   rcairo = %{version}-%{release}

%description
Ruby bindings for cairo

%files
%{gem_spec}
%{gem_instdir}
%{gem_extdir_mri}
%exclude %{gem_extdir_mri}/*.h

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}

%files          devel
%{ruby_vendorarchdir}/*.h

#-------------------------------------------------------------------------------

%prep
%gem_setup

# Even if it worked, we do not want to auto install missing packages during build
%autopatch -p1
%gemspec_remove_dep -g native-package-installer

%build
%gem_build

%install
%gem_install -d


%changelog
* Mon Sep 26 2022 pterjan <pterjan> 1.17.8-1.mga9
+ Revision: 1892420
- Update to 1.17.8

* Mon Aug 15 2022 pterjan <pterjan> 1.17.7-1.mga9
+ Revision: 1877742
- Update to 1.17.7

* Wed Mar 30 2022 umeabot <umeabot> 1.17.5-2.mga9
+ Revision: 1834945
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 1.17.5-1.mga9
+ Revision: 1784845
- Update to 1.17.5

* Fri Feb 25 2022 pterjan <pterjan> 1.16.2-4.mga9
+ Revision: 1784573
- Rebuild for Ruby 3.1
+ danf <danf>
- Switch URLs from http: to https:

* Mon Mar 02 2020 pterjan <pterjan> 1.16.2-3.mga8
+ Revision: 1553151
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 1.16.2-2.mga8
+ Revision: 1520107
- Mageia 8 Mass Rebuild

* Sun Nov 04 2018 pterjan <pterjan> 1.16.2-1.mga7
+ Revision: 1328164
- Update to 1.16.2

* Sat Aug 25 2018 pterjan <pterjan> 1.15.14-1.mga7
+ Revision: 1254157
- Update to 1.15.14

* Thu May 17 2018 pterjan <pterjan> 1.15.13-1.mga7
+ Revision: 1230080
- Update to 1.15.13

* Sun Apr 01 2018 pterjan <pterjan> 1.15.12-1.mga7
+ Revision: 1214115
- Update to 1.15.12

* Mon Jan 01 2018 pterjan <pterjan> 1.15.9-3.mga7
+ Revision: 1188470
- Rebuild for Ruby 2.5

* Tue Aug 15 2017 pterjan <pterjan> 1.15.9-2.mga7
+ Revision: 1141086
- Remove native-package-installer dependency from the package

* Tue Aug 15 2017 pterjan <pterjan> 1.15.9-1.mga7
+ Revision: 1141056
- Update to 1.15.9

* Tue Aug 15 2017 pterjan <pterjan> 1.14.3-4.mga7
+ Revision: 1140824
- Rebuild for new Ruby

* Sun Dec 20 2015 tv <tv> 1.14.3-3.mga6
+ Revision: 912634
- remove bogus mv

* Sun Nov 15 2015 pterjan <pterjan> 1.14.3-2.mga6
+ Revision: 903149
- Move header file into a better place
- Fix exclude path

* Tue Oct 27 2015 pterjan <pterjan> 1.14.3-1.mga6
+ Revision: 895667
- Update to 1.14.3

* Wed Oct 15 2014 umeabot <umeabot> 1.12.6-6.mga5
+ Revision: 746810
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12.6-5.mga5
+ Revision: 688757
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.12.6-4.mga4
+ Revision: 562421
- Fix gem macros

* Thu Dec 19 2013 pterjan <pterjan> 1.12.6-3.mga4
+ Revision: 558688
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 1.12.6-2.mga4
+ Revision: 538034
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 1.12.6-1.mga4
+ Revision: 488350
- new version 1.12.6
- use new gem_install

* Sat Sep 28 2013 fwang <fwang> 1.12.2-4.mga4
+ Revision: 488184
- install headers
- update file list
- update file list
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.12.2-3.mga3
+ Revision: 395729
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.12.2-2.mga3
+ Revision: 380663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.12.2-1.mga3
+ Revision: 312201
- update file list
- new version 1.12.2

* Sat Nov 26 2011 fwang <fwang> 1.10.2-1.mga2
+ Revision: 172025
- new version 1.10.2

* Mon Nov 07 2011 fwang <fwang> 1.10.1-1.mga2
+ Revision: 164805
- update file list
- drop merged patch
- new version 1.10.1

* Sun May 08 2011 shikamaru <shikamaru> 1.10.0-3.mga1
+ Revision: 96270
- Add provides due to different naming schemes upstream between the gem and tarball

* Mon Mar 14 2011 shikamaru <shikamaru> 1.10.0-2.mga1
+ Revision: 71425
- disable test for the moment
- move files in vendorlibdir/vendorarchdir
- add check section

* Tue Feb 08 2011 shikamaru <shikamaru> 1.10.0-1.mga1
+ Revision: 48935
- imported package ruby-cairo

